package com.ekingwin.bas.cloud.document.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.ekingwin.bas.cloud.document.dao.entity.ManagementCenter;
import com.ekingwin.bas.mapper.BasMapper;

import tk.mybatis.mapper.entity.Example;

public interface ManagementCenterDao extends BasMapper<ManagementCenter>{
	public List<ManagementCenter> getDocListByType(@Param("example")Example example,@Param("type")String type);
	public List<ManagementCenter> queryMyNotice(@Param("example")Example example,@Param("userid1")String userid1,@Param("userid2")String userid2);
	public List<ManagementCenter> queryMyNoticeByFolderid(@Param("example")Example example,@Param("folderid")String folderid,@Param("userid1")String userid1,@Param("userid2")String userid2);
	public void saveAttr(@Param("docid")String docid,@Param("field")String field,@Param("value")String value,@Param("remark")String remark);
	public void deleteAttr(@Param("docid")String docid);
	public void deleteAttrByField(@Param("docid")String docid,@Param("field")String field);
	public void updateDocInfo(@Param("title")String title,@Param("image")String image,@Param("homeshow")String homeshow,@Param("sort")String sort,
			@Param("type")String type,@Param("id")String id ,@Param("comments")String comments,@Param("status")String status,
			@Param("author")String author,@Param("listimage")String listimage,@Param("kgimage")String kgimage, @Param("titlepinyin")String titlepinyin);
	public List<ManagementCenter> getDocListByFolderid(@Param("example")Example example,@Param("folderid")String folderid);
	public void deleteDocById(@Param("id")String id);
	public String getPathByDocid(@Param("id")String id);
	public Map<String, String> getFileInfo(@Param("docid")String docid);
	public Map<String, String> updateCreateDate(@Param("docid")String docid);
	public ManagementCenter getDocInfoByDocid(@Param("docid")String docid);
	public List<Map<String, String>> getFilePath(@Param("docid")String docid);
	public void updateStatus(@Param("docid")String docid,@Param("status")String status);
	public List<Map<String, String>> getDeleteDocFolderid(@Param("docids")String docids,@Param("folderid")String folderid,@Param("type")String type);
	public List<Map<String, String>> getPostList(@Param("userid")String userid);
	public List<ManagementCenter> homeshowquery();
	public List<ManagementCenter> queryByType(@Param("example")Example example,@Param("type")String type);
	public List<ManagementCenter> queryReleasedByFolderid(@Param("example")Example example,@Param("folderid")String folderid);
	public List<ManagementCenter> queryReleasedByType(@Param("example")Example example,@Param("type")String type);
	public List<Map<String, Object>> judgmentDelete(@Param("folderid")String folderid);
	public void updateCreateBy(@Param("id")String id,@Param("userid")String userid);
	
	
}
