package com.ekingwin.bas.cloud.document.dao.entity;

import java.util.Date;
import java.util.Map;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.ekingwin.bas.cloud.infra.dao.entity.BaseEntity;



@Table(name = "VIEW_BAS_DM_DOCINFO")
public class DocumentInfo extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = -5964528304141925090L;
	@Column(name="dId")
	private String dId;//1
	
	@Column(name="fileId")
	private String fileId;//3
	
	@Column(name="docType")
	private String docType;
	
	private String title;//5
	
	private String comments;//6
	
	@Column(name="folderId")
	private String folderId;//7
	
	@Column(name="reviewImg")
	private String reviewImg;//8
	
	private String author;//9
	
	@Column(name="authorDisplay")
	private String authorDisplay;
	
	private String attachments;//10
	
	
	private String tags;//11
	
	
	@Column(name="createDate")
	private Date createDate;//12
	
	
	@Column(name="docName")
	private String docName;//2
	
	
	@Column(name="revisionId")
	private Long revisionId;//4
	
	
	@Column(name="publishPeople")
	private String publishPeople;//add by su
	
	@Column(name="publishTime")
	private String publishTime;//add by su
	
	@Column(name="deleteStatus")
	private String deleteStatus;//add by su
	
	@Column(name="belongSystem")
	private String belongSystem;//add by su
	
	@Column(name="checkInUser")
	private String checkInUser;//13
	
	
	@Column(name="checkInUserDisplay")
	private String checkInUserDisplay;
	
	
	@Column(name="CheckOutUser")
	private String CheckOutUser;//14
	
	
	@Column(name="releaseDate")
	private Date releaseDate;//15
	
	
	@Column(name="expiredDate")
	private Date expiredDate;
	
	
	@Column(name="fileSize")
	private String fileSize;//16
	
	
	@Column(name="fileOriginalName")
	private String fileOriginalName;//17
	
	
	@Column(name="deleter")
	private String deleter;//add by su
	
	
	@Column(name="deleteDate")
	private Date deleteDate;//add by su
	
	
	@Column(name="belongDept")
	private Date belongDept;//add by su
	
	
	@Column(name="belongDeptname")
	private Date belongDeptname;//add by su
	
	@Column(name="belongOrg")
	private Date belongOrg;//add by su
	
	@Column(name="belongOrgname")
	private Date belongOrgname;//add by su
	
	public String getPublishPeople() {
		return publishPeople;
	}

	public void setPublishPeople(String publishPeople) {
		this.publishPeople = publishPeople;
	}

	public String getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(String publishTime) {
		this.publishTime = publishTime;
	}

	public String getDeleteStatus() {
		return deleteStatus;
	}

	public void setDeleteStatus(String deleteStatus) {
		this.deleteStatus = deleteStatus;
	}

	public String getBelongSystem() {
		return belongSystem;
	}

	public void setBelongSystem(String belongSystem) {
		this.belongSystem = belongSystem;
	}

	public String getDeleter() {
		return deleter;
	}

	public void setDeleter(String deleter) {
		this.deleter = deleter;
	}

	public Date getDeleteDate() {
		return deleteDate;
	}

	public void setDeleteDate(Date deleteDate) {
		this.deleteDate = deleteDate;
	}

	public Date getBelongDept() {
		return belongDept;
	}

	public void setBelongDept(Date belongDept) {
		this.belongDept = belongDept;
	}

	public Date getBelongDeptname() {
		return belongDeptname;
	}

	public void setBelongDeptname(Date belongDeptname) {
		this.belongDeptname = belongDeptname;
	}

	public Date getBelongOrg() {
		return belongOrg;
	}

	public void setBelongOrg(Date belongOrg) {
		this.belongOrg = belongOrg;
	}

	public Date getBelongOrgname() {
		return belongOrgname;
	}

	public void setBelongOrgname(Date belongOrgname) {
		this.belongOrgname = belongOrgname;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	@Column(name="fileLocation")
	private String fileLocation;
	
	
	@Column(name="downloadUrl")
	private String downloadUrl;
	
	
	@Column(name="viewUrl")
	private String viewUrl;
	
	
	private String docno;//文号
	
	private String watermark;//水印
	
	@Column(name="downSum")
	private Integer downSum;//下载量
	
	@Column(name="readSum")
	private Integer readSum;//阅读量
	
	
	private Integer discuss;//评论量
	
	private Integer collect;//收藏量
	
	
	private Integer score;//评分
	
	
	private Integer sortid;//排序id
	
	
	private String provideruser;//提供者
	
	
	@Column(name="revId")
	private String revId;//版本Id
	
	
	private String folderids; // 目录ID
	
	
	private String foldernames;// 目录名称
 

	public String getFolderids() {
		return folderids;
	}

	public void setFolderids(String folderids) {
		this.folderids = folderids;
	}

	public String getFoldernames() {
		return foldernames;
	}

	public void setFoldernames(String foldernames) {
		this.foldernames = foldernames;
	}

	public String getRevId() {
		return revId;
	}

	public void setRevId(String revId) {
		this.revId = revId;
	}

	public String getDocType() {
		return docType;
	}

	public void setDocType(String docType) {
		this.docType = docType;
	}

	public Integer getDownSum() {
		return downSum;
	}

	public void setDownSum(Integer downSum) {
		this.downSum = downSum;
	}

	public Integer getReadSum() {
		return readSum;
	}

	public void setReadSum(Integer readSum) {
		this.readSum = readSum;
	}

	public Integer getDiscuss() {
		return discuss;
	}

	public void setDiscuss(Integer discuss) {
		this.discuss = discuss;
	}

	public Integer getCollect() {
		return collect;
	}

	public void setCollect(Integer collect) {
		this.collect = collect;
	}

	public Integer getScore() {
		return score;
	}

	public void setScore(Integer score) {
		this.score = score;
	}

	public Integer getSortid() {
		return sortid;
	}

	public void setSortid(Integer sortid) {
		this.sortid = sortid;
	}

	public String getProvideruser() {
		return provideruser;
	}

	public void setProvideruser(String provideruser) {
		this.provideruser = provideruser;
	}

	public String getDocno() {
		return docno;
	}
	public void setDocno(String docno) {
		this.docno = docno;
	}
	public String getWatermark() {
		return watermark;
	}
	public void setWatermark(String watermark) {
		this.watermark = watermark;
	}
	@Transient
	private Map<String, String> extAttr;

	@Transient
	private Date inDate;
	@Transient
	private Date outDate;
	
	public String getdId() {
		return dId;
	}
	public void setdId(String dId) {
		this.dId = dId;
	}
	public String getFileId() {
		return fileId;
	}
	public void setFileId(String fileId) {
		this.fileId = fileId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}
	public String getFolderId() {
		return folderId;
	}
	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}
	public String getReviewImg() {
		return reviewImg;
	}
	public void setReviewImg(String reviewImg) {
		this.reviewImg = reviewImg;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getAttachments() {
		return attachments;
	}
	public void setAttachments(String attachments) {
		this.attachments = attachments;
	}
	public String getTags() {
		return tags;
	}
	public void setTags(String tags) {
		this.tags = tags;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	 
	}
	public String getDocName() {
		return docName;
	}
	public void setDocName(String docName) {
		this.docName = docName;
	}
	public Long getRevisionId() {
		return revisionId;
	}
	public void setRevisionId(Long revisionId) {
		this.revisionId = revisionId;
	}
	public String getCheckInUser() {
		return checkInUser;
	}
	public void setCheckInUser(String checkInUser) {
		this.checkInUser = checkInUser;
	}
	public Date getReleaseDate() {
		return releaseDate;
	}
	public void setReleaseDate(Date releaseDate) {
		this.releaseDate = releaseDate;
	}
	public String getFileOriginalName() {
		return fileOriginalName;
	}
	public void setFileOriginalName(String fileOriginalName) {
		this.fileOriginalName = fileOriginalName;
	}
	public String getFileLocation() {
		return fileLocation;
	}
	public void setFileLocation(String fileLocation) {
		this.fileLocation = fileLocation;
	}
	public Date getExpiredDate() {
		return expiredDate;
	}
	public void setExpiredDate(Date expiredDate) {
		this.expiredDate = expiredDate;
	}
	public String getDownloadUrl() {
		return downloadUrl;
	}
	public void setDownloadUrl(String downloadUrl) {
		this.downloadUrl = downloadUrl;
	}
	public String getViewUrl() {
		return viewUrl;
	}
	public void setViewUrl(String viewUrl) {
		this.viewUrl = viewUrl;
	}
	public String getFileSize() {
		return fileSize;
	}
	public void setFileSize(String fileSize) {
		this.fileSize = fileSize;
	}
	public String getAuthorDisplay() {
		return authorDisplay;
	}
	public void setAuthorDisplay(String authorDisplay) {
		this.authorDisplay = authorDisplay;
	}
	public String getCheckInUserDisplay() {
		return checkInUserDisplay;
	}
	public void setCheckInUserDisplay(String checkInUserDisplay) {
		this.checkInUserDisplay = checkInUserDisplay;
	}
	public Map<String, String> getExtAttr() {
		return extAttr;
	}
	public void setExtAttr(Map<String, String> extAttr) {
		this.extAttr = extAttr;
	}
	public String getCheckOutUser() {
		return CheckOutUser;
	}
	public void setCheckOutUser(String checkOutUser) {
		CheckOutUser = checkOutUser;
	}
	public Date getInDate() {
		return inDate;
	}
	public void setInDate(Date inDate) {
		this.inDate = inDate;
	}
	public Date getOutDate() {
		return outDate;
	}
	public void setOutDate(Date outDate) {
		this.outDate = outDate;
	}
	@Override
	public void setId(String id) {
		// TODO Auto-generated method stub
		
	}
	@Override
	public String getId() {
		// TODO Auto-generated method stub
		return null;
	}
	
}
