package com.ekingwin.bas.cloud.document.dto;

import java.sql.Date;
import java.util.List;

import javax.persistence.Transient;

import com.ekingwin.bas.cloud.infra.dto.BaseDTO;

public class ManagementCenterDto extends BaseDTO{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String  id	;//id
	private String  title	;//主题
	private String  status	;//状态
	private Date  createon	;//创建时间
	private String  createby	;//创建人ID
	private Date  updateon	;//更新时间
	private String  updateby	;//更新人
	private String  sort	;// 排序
	private String  pid	;// 父级ID
	private String  tags	;//标签
	private String  author	;// 作者
	private String  createbyname	;// 创建人名称
	private String  updatebyname	;// 更新人名称
	private String  image	;// 图片
	private String  homeshow	;//首页展示 
	private String  comments	;//摘要
	private String docname ;//文档唯一键
	private String type ;//文件类型
	private String foldertype ;//类型
	private String kgimage ; //新闻列表图片
	private String listimage ; //新闻列表图片
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Date getCreateon() {
		return createon;
	}
	public void setCreateon(Date createon) {
		this.createon = createon;
	}
	public String getCreateby() {
		return createby;
	}
	public void setCreateby(String createby) {
		this.createby = createby;
	}
	public Date getUpdateon() {
		return updateon;
	}
	public void setUpdateon(Date updateon) {
		this.updateon = updateon;
	}
	public String getUpdateby() {
		return updateby;
	}
	public void setUpdateby(String updateby) {
		this.updateby = updateby;
	}
	public String getSort() {
		return sort;
	}
	public void setSort(String sort) {
		this.sort = sort;
	}
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	public String getTags() {
		return tags;
	}
	public void setTags(String tags) {
		this.tags = tags;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getCreatebyname() {
		return createbyname;
	}
	public void setCreatebyname(String createbyname) {
		this.createbyname = createbyname;
	}
	public String getUpdatebyname() {
		return updatebyname;
	}
	public void setUpdatebyname(String updatebyname) {
		this.updatebyname = updatebyname;
	}
	public String getImage() {
		return image;
	}
	public void setImage(String image) {
		this.image = image;
	}
	public String getHomeshow() {
		return homeshow;
	}
	public void setHomeshow(String homeshow) {
		this.homeshow = homeshow;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}
	public String getDocname() {
		return docname;
	}
	public void setDocname(String docname) {
		this.docname = docname;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getFoldertype() {
		return foldertype;
	}
	public void setFoldertype(String foldertype) {
		this.foldertype = foldertype;
	}
	public String getKgimage() {
		return kgimage;
	}
	public String getListimage() {
		return listimage;
	}
	public void setKgimage(String kgimage) {
		this.kgimage = kgimage;
	}
	public void setListimage(String listimage) {
		this.listimage = listimage;
	}

}
