package com.ekingwin.bas.cloud.document.model;
/**
 * 权限实体
 * @author luffy.li
 *
 */
public class PermissionModel {
	//组织编号
	private String orgid;
	// 用户名
	private String userName;
	// 组织名
	private String orgName;
	// 下载
	private boolean download = false;
	// 查看
	private boolean view = true;
	// 删除
	private boolean delete = false;
	private boolean viewDelete = false;
	// 检出
	private boolean checkout = false;
	private boolean viewCheckout = false;
	// 打印
	private boolean print = false;
	// 发送链接
	private boolean sendlink = false;
	// 查看权限
	private boolean permissionView = false;
	// 隐藏
	private boolean disable = false;
	// 只是管理员
	private boolean onlyManager = false;
	public PermissionModel()
	{
	}
	public PermissionModel(String orgid,boolean download,boolean view,boolean delete,boolean checkout,
			boolean print,boolean sendlink,boolean permissionView)
	{
		this.orgid = orgid;
		this.download = download;
		this.view = view;
		this.delete = delete;
		this.checkout = checkout;
		this.print = print;
		this.sendlink = sendlink;
		this.permissionView = permissionView;
	}
	//getter && setter
	public String getOrgid() {
		return orgid;
	}
	public void setOrgid(String orgid) {
		this.orgid = orgid;
	}
	public boolean isDownload() {
		return download;
	}
	public void setDownload(boolean download) {
		this.download = download;
	}
	public boolean isView() {
		return view;
	}
	public void setView(boolean view) {
		this.view = view;
	}
	public boolean isDelete() {
		return delete;
	}
	public void setDelete(boolean delete) {
		this.delete = delete;
	}
	public boolean isCheckout() {
		return checkout;
	}
	public void setCheckout(boolean checkout) {
		this.checkout = checkout;
	}
	public boolean isPrint() {
		return print;
	}
	public void setPrint(boolean print) {
		this.print = print;
	}
	public boolean isSendlink() {
		return sendlink;
	}
	public void setSendlink(boolean sendlink) {
		this.sendlink = sendlink;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public boolean isDisable() {
		return disable;
	}
	public void setDisable(boolean disable) {
		this.disable = disable;
	}
	public boolean isPermissionView() {
		return permissionView;
	}
	public void setPermissionView(boolean permissionView) {
		this.permissionView = permissionView;
	}
	public boolean isOnlyManager() {
		return onlyManager;
	}
	public void setOnlyManager(boolean onlyManager) {
		this.onlyManager = onlyManager;
	}
	public boolean isViewDelete() {
		return viewDelete;
	}
	public void setViewDelete(boolean viewDelete) {
		this.viewDelete = viewDelete;
	}
	public boolean isViewCheckout() {
		return viewCheckout;
	}
	public void setViewCheckout(boolean viewCheckout) {
		this.viewCheckout = viewCheckout;
	}
	
}
