package com.ekingwin.bas.cloud.document.service;

import com.ekingwin.bas.cloud.document.dao.entity.DocumentMeta;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;

public interface IDocumentMetaService {
	public void save(DocumentMeta docFile);
	
	public void delete(String id);
	
	public void update(DocumentMeta docFile);
	
	public DocumentMeta get(String id);
	
	public void deleteDoc(String dID);
	
	public boolean updateStatus(String status,String id);
	
	public PageCriteria<DocumentMeta> query(QueryDTO query) throws BasException;

	public Integer getCollectedOrNot(String getdId, String revId, String userId) throws BasException;
	
	public String getCollectionId(String dId, String revId,String userId) throws BasException;

}
